:root {
	--chatadmin-color: #2078c2;
	--chatadmin-color-light: #2078c2;
}
html, body {
  height: 100%;
}
#home {
	height: 100%;
}
#cur-lang {
	width: 70px;
}
#chat-menu .dropdown-menu {
	min-width: auto;
}
#chat-moderator-admin-container {
	padding: 10px;
}
#dialog-moderator .modal-header{
	background-color: #ed7819;
}
#chat-moderator-groups i, #chat-moderators i {
	margin-right: 10px;
	cursor: pointer;
}
#chat-moderator-groups th:first-child,
#chat-moderators th:first-child {
	width: 50px !important;
}
#chat-messages {
	width: 100% !important;
}
#chat-messages .btn {
	margin: .25rem .125rem;
}
#chat-messages > tbody > tr > td:nth-child(3) {
	word-wrap: anywhere;
	width: 50%;
}
#chat-messages > tbody > tr > td:nth-child(5) {
	width: 10%;
}
#chat-messages tr td:last-child {
	white-space: nowrap;
}
#entries-show-all {
	color: #dc3545;
}
#filter-buttons {
	margin-bottom: 1rem;
}
.delete-message {
	background-color: transparent;
	color: var(--bs-btn-bg);
}
.dropdown-menu {
	--bs-dropdown-link-active-bg: var(--chatadmin-color);
}
.accordion-button:focus {
	z-index: 3;
	border-color: var(--chatadmin-color-light);
	outline: 0;
	box-shadow: var(--chatadmin-color-light);
}
.accordion-button:not(.collapsed)::after {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}
.accordion-button:not(.collapsed) {
	color: #fff;
	background-color: var(--chatadmin-color-light);
	box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--chatadmin-color-light);
}

.divider:after,
.divider:before {
	content: "";
	flex: 1;
	height: 1px;
	background: #eee;
}
.ms-3 {
	margin-left: 1rem !important;
	margin-right: 1rem !important;
}

@keyframes ellipsis {
	0% {
		content: ".";
	}
	33% {
		content: "..";
	}
	66% {
		content: "...";
	}
}
.waiting-dots {
	font-size: 20px;
}

.waiting-dots::before {
	content: " ";
	display: inline-block;
	width: 1em;
	animation: ellipsis 1s infinite;
}

@media only screen and (min-width: 800px) {
	.chat-item > div {
		width: 50%;
	}
}

.btn-chatadmin {
	--bs-btn-color: #fff;
	--bs-btn-bg: var(--chatadmin-color);
	--bs-btn-border-color: var(--chatadmin-color);
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: var(--chatadmin-color);
	--bs-btn-hover-border-color: var(--chatadmin-color);
	--bs-btn-focus-shadow-rgb: 49,132,253;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: var(--chatadmin-color);
	--bs-btn-active-border-color: var(--chatadmin-color);
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: var(--chatadmin-color);
	--bs-btn-disabled-border-color: var(--chatadmin-color);
}
a {
	color: var(--chatadmin-color);
	text-decoration: underline;
}

.form-check-input, .form-check-label {
	cursor: pointer;
}
.form-check-input:checked {
	background-color: var(--chatadmin-color);
	border-color: var(--chatadmin-color);
}
.form-control:focus, .form-select:focus, .form-check-input:focus {
	border: var(--chatadmin-color);
	box-shadow: 0 0 4px 4px var(--chatadmin-color-light);
}

.login-error {
	text-align: center;
	color: var(--chatadmin-color);
	margin-bottom: 1rem !important;
}
#network_status {
	color: #ff0000;
	margin: 20px;
}
#dialog-view-messages #assign-to {
	margin-right: auto;
}
#dialog-view-messages #answer-text {
	margin-bottom: 10px;
}
#dialog-view-messages .modal-dialog {
	min-width: 500px;
	max-width: 1140px;
}
#dialog-view-messages #message-history {
	background-color: #f8f9fa !important;
	height: 400px;
	overflow-y: scroll;
}
#dialog-view-messages #message-history {
	margin-left: auto;
}
#dialog-view-messages .w-50.right {
	text-align: right;
}
#dialog-view-messages .message {
	background-color: #fefefe;
	padding: .75rem 1.25rem;
	margin-bottom: 1rem;
	border: 1px solid transparent;
	border-radius: .25rem;
	width: max-content;
	min-width: 50%;
	max-width: 90%;
	color: #818182;
	word-break: break-word;
}
#message-history .message_public {
	float: left;
	background-color: #007bff;
	color: #fff;
	padding: .25em .4em;
	font-size: 80%;
	font-weight: 700;
	border-radius: .25rem;
}
#dialog-view-messages .message.right {
	background-color: #d4edda;
	margin-left: auto;
	margin-right: .5rem;
	color: #155724;
	text-align: right;
}
#chat-messages .in_progress {
	background-color: #f2e7c3 !important;
}
#tools {
	float: right;
	width: auto;
	margin-bottom: .25rem;
}
.select-filter, .download, #delete-messages {
	margin-bottom: .5rem;
}

.btn-outline-attention {
	--bs-btn-color: #ff8e07;
	--bs-btn-border-color: #ff8e07;
	--bs-btn-hover-color: #000;
	--bs-btn-hover-bg: #ff8e07;
	--bs-btn-hover-border-color: #ff8e07;
	--bs-btn-focus-shadow-rgb: 255,193,7;
	--bs-btn-active-color: #000;
	--bs-btn-active-bg: #ff8e07;
	--bs-btn-active-border-color: #ff8e07;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #ff8e07;
	--bs-btn-disabled-bg: transparent;
	--bs-btn-disabled-border-color: #ff8e07;
	--bs-gradient: none;
}
.btn-attention {
	--bs-btn-color: #fff;
	--bs-btn-bg: #ff8e07;
	--bs-btn-border-color: #ff8e07;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #ff8e07;
	--bs-btn-hover-border-color: #ff8e07;
	--bs-btn-focus-shadow-rgb: 225,83,97;
	--bs-btn-active-color: #fff;
	--bs-btn-active-bg: #ff8e07;
	--bs-btn-active-border-color: #ff8e07;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #ff8e07;
	--bs-btn-disabled-border-color: #ff8e07;
}